LILO(8)

NOM
lilo - Installer le chargeur lilo

SYNOPSIS
Fonction principale :

/sbin/lilo - Installer le chargeur lilo

Autres utilisations :

/sbin/lilo -A - Activer/afficher la partition active.
/sbin/lilo -E - Éditer l'en-tête ou mettre à jour un fichier image.
/sbin/lilo -I - Rechercher le chemin d'accès au noyau en cours d'utilisation.
/sbin/lilo -M - Écrire le chargeur sur le secteur de démarrage (Master Boot Record) d'un périphérique
/sbin/lilo -q - Obtenir la carte des noyaux gérés.
/sbin/lilo -R - Positionner les attributs par défaut pour le prochain boot.
/sbin/lilo -T - Fournir plus d'informations sur un sujet spécifié.
/sbin/lilo {-u|-U} - Désinstaller Lilo.

DESCRIPTION
lilo installe le chargeur Lilo, qui sera activé au prochain démarrage de la machine. Le fichier de configuration par défaut /etc/lilo.conf (voir lilo.conf(5)) dispose de nombreuses options, mais la plupart, y compris celles qui surchargent le fichier de configuration, peuvent être spécifiées sur la ligne de commande.

-A périphérique [ N ]
    Utilisée avec un seul argument, recherche la partition active sur le périphérique ; par exemple, /dev/hda. Avec N==0, désactive toutes les partitions du périphérique. Avec N dans l'intervalle [1..n], active la partition spécifiée et désactive toutes les autres. Normalement, seules les partitions primaires [1..4] peuvent être activées, mais si le chargeur de démarrage étendu (Ndt : Extended Master Boot Loader) est présent sur le secteur de démarrage principal (Ndt : Master Boot Record) du périphérique (voir l'option -M), n'importe quelle partition peut être activée. Ensuite, que le système d'exploitation accepte ou non de démarrer depuis une partition étendue dépend uniquement des caractéristiques de ce système. LILO permet de démarrer Linux depuis une partition étendue.

-b périphérique
    Spécifier le périphérique d'amorce ; c.-à-d., l'endroit où le chargeur sera installé. « -b /dev/hda » spécifie le secteur d'amorce principal (MBR) ; « -b /dev/sdb5 » spécifie la première partition étendue du second disque SCSI.

-B fichier
    Spécifier un fichier image au format bitmap pour l'écran graphique au démarrage, de préférence un fichier pré-traité avec la commande « lilo -E ».

-c  Autoriser la compression de la carte. Ceci va permettre de grouper les requêtes de lecture sur des secteurs adjacents. Cette option accélère le démarrage (surtout sur disquette).

-C fichier
    lilo lit les instructions à propos des systèmes à gérer dans un fichier de configuration, par défaut /etc/lilo.conf. Cette option permet d'indiquer un autre fichier de configuration.

-d délai
    Spécifier le délai, en dixième de seconde (20 = 2 sec) avant que ne soit automatiquement chargée la première image. Cela vous donne le temps d'interrompre le chargement automatique de la première image avec les touches Shift, Alt, Ctrl, ScrollLock, ou CapsLock. Si ce chargement est interrompu, l'invite « boot: » est affichée. Cette option est surchargée par la présence de prompt dans le fichier de configuration.

-D étiquette
    Utilise le noyau associé à étiquette plutôt que le premier de la liste, en tant que noyau par défaut.

-E nom_fichier.ext
    Si .ext est .bmp, alors considérer le fichier comme étant un fichier image au format bitmap à utiliser dans la directive « bitmap= » du fichier de configuration. Entrer dans un éditeur interactif pour créer ou modifier les informations de couleurs et de positionnement dans l'en-tête LILO du fichier bitmap. (Voir « bmp-colors », « bmp-table » et « bmp-timer » dans la page de manuel lilo.conf(5).)

    Si .ext est .dat, alors considérer le fichier comme étant un fichier de configuration qui spécifie les paramètres graphiques bitmap qui seront transférés dans l'en-tête LILO du fichier bitmap de même nom.

    Lorsqu'un fichier .bmp est modifié avec un éditeur graphique (par ex. GIMP), l'en-tête LILO est perdu. Il peut être restauré en utilisant le fichier .dat, qui est utilisé comme sauvegarde au format texte des informations de l'en-tête LILO.

-f fichier
    Indique un fichier décrivant les paramètres géométriques du disque. Le fichier par défaut est /etc/disktab.

-F  Annuler la vérification du secteur de démarrage pour les systèmes de fichiers (p. ex., swap, XFS, ...) qui pourrait être détruit par l'installation du secteur de démarrage LILO sur le premier secteur de la partition. Ces systèmes de fichiers utilisent le premier secteur comme un superblock. Comparable à « -P ignore », qui court-circuite certaines vérifications de la table des partitions.

-g  Génèrer des adresses disque (géométrique) cylindre/tête/secteur, jusqu'à une valeur de cylindre de 1023. Cela force la compatibilité avec les anciennes versions de LILO.

-H  Annuler l'arrêt fatal lorsqu'un RAID n'a pas tous ses disques actifs.

-i fichier
    Indiquer un fichier à installer en tant que nouveau secteur de boot. Le fichier par défaut est /boot/boot.b.

-I étiquette [D|a|i|k|r|R]
    étiquette est considérée comme étant le nom d'une image spécifiée dans le fichier de configuration. Cette commande affichera le nom du chemin vers le noyau correspondant, le fichier de table des touches, le fichier ramdisk initial, la partition racine ou la chaîne « append= » (option « i », « k », « r », « R » ou « a »). L'option « D » ignore le paramètre étiquette et affiche l'étiquette « image= » par défaut ou la première étiquette « image= » si aucune image n'est spécifiée.

-l  Utilise un adressage linéaire sur 24 bits des secteurs, plutôt qu'un adressage secteur/tête/cylindre.

-L  Utilise des Adresses de Blocs Logiques 32 bits (LBA), plutôt qu'un adressage secteur/tête/cylindre, ce qui donne accès aux disques de plus de 1024 cylindres (supérieurs à 8.4 Go).

-m fichier
    Utiliser le fichier pour stocker la carte des secteurs plutôt que celui par défaut.

-M périphérique [mbr|ext]
    Installe le chargeur de Lilo sur le secteur de boot (MBR) du périphérique. Lilo choisit le chargeur standard « Standard Master Boot Loader » ou le chargeur étendu (« Extended Master Boot Loader ») suivant l'option indiquée. La table des partitions du périphérique n'est pas modifiée. Si aucun identifiant de volume (numéro de série du disque) n'est présent, Lilo en crée un et l'écrit sur le MBR. Si l'option mbr est fournie, le chargeur standard recherchera la partition active parmi les quatre premières, et la démarrera. Une seule partition peut être active à la fois. Si l'option ext est fournie, le chargeur cherchera une partition active en examinant également les partitions étendues. La présence d'un chargeur étendu sur le secteur MBR (secteur 0) d'un disque modifie le comportement de l'option -A.

-p  Réclame la saisie interactive de tous les mots de passe vides (mentionnés par la chaîne "") dans le fichier de configuration.

-P {fix|ignore}
    Corrige (fix) ou ignore les tables de partitions endommagées, c'est à dire les tables dont les adresses linéaires et secteur/tête/cylindre ne correspondent pas. On essaye toujours -P d'abord, car -P fix va ré-écrire la table des partitions, ce qui peut rendre inaccessibles toutes les partitions du dique. -P ignore est aussi utilisé pour contourner la vérification des types de partitions dans la table, ce qui serait susceptible d'empêcher l'installation du secteur de boot de Lilo. Comparable avec l'attribut « -F » qui passe outre la vérification du secteur de boot réel. -P option permet le passage de toute option apparaissant normalement dans la partie globale (début) du fichier de configuration (/etc/lilo.conf). Par exemple, -P nowarn transmettra l'option "nowarn" comme si elle était apparue dans le fichier de configuration (équivalente à l'attribut « -w »). De même, -P timeout=50 va ajouter ou écraser la ligne « timeout= » du fichier de configuration. Notez que cette option -P est redondante avec d'autres options en ligne de commande. Toutefois, elle n'est pas tout à fait équivalente à certaines options qui en écrasent d'autres (par exemple « -g » et -P geometric, ou « -L » et -P lba32).

-q  Affiche la carte des noyaux actuellement gérés, et qui sont proposés lors du démarrage de la machine. lilo gère une carte, située par défaut dans le fichier /boot/map, contenant les noms et les positions des divers noyaux à proposer lors du démarrage. Cette option liste les noms des systèmes proposés lors du boot.

-r répertoire
    Avant toute chose, effectue un chroot vers le répertoire. Le nouveau répertoire racine doit avoir un sous-répertoire /dev et peut nécessiter un sous-répertoire /boot. Il peut également avoir besoin d'un fichier /etc/lilo.conf.

-R commandes
    Cette option indique les commandes par défaut lors du prochain redémarrage du système. Ensuite Lilo effacera ces commandes, elles ne sont utilisées qu'une seule fois. Ceci est typiquement utilisé dans les scripts de redémarrage, juste avant d'appeler « shutdown -r ». Sans argument, elle annulera une ligne de commande lock-ée ou fallback.

-s fichier
    Quand lilo écrase le secteur de boot, il sauvegarde l'ancien contenu dans un fichier, par défaut /boot/boot.NNNN, où NNNN est la représentation hexadécimale des numéros majeur et mineur du périphérique et/ou de la partition. Cette option précise un autre fichier de sauvegarde du secteur de boot d'une des trois manières suivantes : un répertoire (par défaut « /boot ») dans lequel on utilisera le nom par défaut « boot.NNNN », un chemin auquel on ajoutera « .NNNN » (par défaut ce serait « /boot/boot »), ou un nom complet incluant le suffixe « .NNNN » correct. En l'associant avec l'option -u il faut préciser le chemin complet.

-s fichier
    Normalement lilo n'écrasera pas un fichier de sauvegarde existant. Cette option autorise l'écrasement. Comme pour -s, le fichier peut être spécifié en donnant un répertoire, un nom sans suffixe ou un chemin complet avec suffixe « .NNNN »).

-t  Juste un essai. Ne pas modifier vraiment le secteur de boot ou le fichier de carte des secteurs. A utiliser avec -v pour s'assurer de ce que lilo va faire.

-T option
    Afficher les informations système, certaines extraites du BIOS. Ceci est plus simple que de lancer la disquette de diagnostic de Lilo sur les systèmes à problèmes. L'option peut prendre l'une des valeurs suivantes :

       help  - afficher une liste des diagnostics possibles
       ChRul - lister les partitions sujettes aux règles de
               Change-Rules
       EBDA  - afficher les informations de la zone Extended BIOS Data Area
       geom=<drive> affiche la géométrie du périphérique identifié par sa valeur Bios.
               par ex. geom=0x80
       geom  - afficher la géométrie de tous les disques
       table=<drive> afficher la table des partitions primaires
               par ex. table=/dev/sda
       video - afficher les modes graphiques disponibles pour le chargeur.

-u périphérique
    Désinstallation de lilo en recopiant le secteur de boot sauvegardé. Les attributs « -s » et « -C » peuvent servir avec cette option. Le nom de périphérique est facultatif. L'horodatage du fichier est vérifié.

-U périphérique
    Idem, sans vérification de l'horodatage

-v  Augmenter la volubilité. L'ajout de une à cinq options -v rend lilo de plus en plus bavard. Ceci s'obtient aussi avec -v n (n=1..5) pour fixer le niveau de volubilité à « n ».

-V  Afficher le numéro de version.

-w  Sous la forme -w ou -w-, supprime les messages d'avertissement. Sous la forme -w+, passe outre l'option nowarn du fichier de configuration, et affiche les messages d'avertissement.

-x option
    Pour installations RAID seulement. L'option peut-être l'un des mots-clé suivants : none (aucun), auto, mbr, mbr-only, ou une liste de périphérique de boot supplémentaires séparés par des virgules (et sans espaces dans la liste).

-X  Réservé pour usage interne dans LILO. Peut fournir des affichages différents suivant les versions de LILO. La ligne commençant par « CFLAGS= » indique les options de compilation utilisées pour créer l'exécutable de LILO.

-z  Avec l'option -M, efface l'identifiant de disque. Souvent utilisé ainsi pour créer un nouvel identifiant de disque.
         lilo -z -M /dev/hda
         lilo -M /dev/hda

-Z option
    « -Z0 » indique à l'installateur de boot que des précautions spéciales sont nécessaires car le BIOS ne fournit pas le code de périphérique correct dans le registre DL. Au contraire « -Z1 » indique que le BIOS remplit toujours DL correctement. Ceci correspond, et surcharge, l'option « bios-passes-dl= » du fichier de configuration.

Les lignes de commandes ci-dessus correspondent aux mots clés du fichier de configuration ainsi :
-b périphérique | boot=périphérique
-B fichier.bmp | bitmap=fichier.bmp
-c | compact
-d durée | delay=durée
-D étiquette | default=étiquette
-i fichier | install=fichier
-f fichier | disktab=fichier
-g | geometric
-l | linear
-L | lba32
-m fichier | map=fichier
-P fix | fix-table
-P ignore | ignore-table
-s fichier | backup=fichier
-S fichier | force-backup=fichier
-v [N] | verbose=N
-w | nowarn
-x option | raid-extra-boot=option
-Z option | bios-passes-dl=option

  Options de démarrage
Les options décrites ici peuvent être indiquées au démarrage sur la ligne de commande quand une image de noyau est chargée. Elles sont traitées par LILO, et sont supprimées de la ligne de commande transmise au noyau, sauf précision contraire.

lock
    Verrouille la ligne de commande, comme si on avait précisé « lock » dans « lilo.conf. »

mem=###[,K,M,G]
    Indique la taille maximale de la mémoire du système en octets, kilo-octets, mega-octets, ou giga-octets. Cette option n'est pas supprimée de la ligne de commande ; elle est toujours transmise au noyau.

nobd
    Supprime la vérification des données du BIOS. Cette option est réservée pour les BIOS non compatibles IBM qui se bloquent après les lignes suivantes :

         Loading...............
         BIOS data check

vga=[ASK,EXT,EXTENDED,NORMAL,###,0x###]
    Passe outre le mode vidéo par défaut au démarrage du noyau.

  Erreurs de démarrages
Le chargement se fait en deux étapes. Le chargeur de la première étape est contenu dans un unique secteur, chargé par le BIOS ou le chargeur se trouvant sur le MBR. Il charge ensuite le chargeur de la seconde étape se trouvant sur plusieurs secteurs mais est très réduit. Quand le premier chargeur démarre, il affiche la letter « L », puis quand il est prêt à passer le contrôle au second, il affiche la lettre « I ». Si une erreur se produit, comme un problème de lecture du disque, il affichera un code hexadécimal, et reprendra l'opération. Tous les codes d'erreur en hexa sont des valeurs de retour du BIOS, sauf les codes 40, 99 et 9A créés par Lilo. Voici une liste non exhaustive des codes :
00 pas d'erreur
01 commande disque invalide
02 marque d'adresse non trouvée
03 disque protégé en écriture
04 secteur non trouvé
06 disquette retirée
08 dépassement DMA
0A mauvais attribut de secteur
0B mauvais attribut de piste
20 échec du contrôleur
40 erreur de positionnement (BIOS)
40 cylindre supérieur à 1023 (LILO)
99 indice du second chargeur invalide (LILO)
9A signature du second chargeur absente (LILO)
AA périphérique non prêt
FF échec de détection

Le code d'erreur 40 est créé par le BIOS, ou par Lilo lors d'une converions d'une adresse disque linéaire (24 bits) en adresse géométrique (C:T:S). Sur d'anciens systèmes qui ne supportent pas l'adressage lba32 (32 bits), cette erreur peut aussi se produire. Les erreurs 99 et 9A indiquent en général que le fichier de carte des secteurs (-m ou map=) est illisible, probablement par ce que LILO n'a pas été relancé après une modification du système. Il peut également y avoir une incohérence entre la géométrie utilisée par LILO (-v3 pour la voir) et celle utilisée par le BIOS. On peut utiliser le disque de diagnostique, fourni avec les sources de Lilo, pour détecter ce problème. Quand le chargeur de second niveau prend le contrôle, il affiche la lettre « L », et après son initialisation - y compris la vérification de la table des noyaux ou autres systèmes -, il affiche la lettre « O », formant ainsi le mot « LILO » complet en majuscules. Tous les messages d'erreur du second chargeurs sont des textes (en anglais) essayant de préciser - plus ou moins bien - le problème survenu.

  Incompatibilités
lilo est réputé pour avoir des problèmes avec le système de fichiers reiserfs introduit dans les noyaux 2.2.x, si ce dernier est monté sans l'option « notail ». Cette incompatibilité a été résolue depuis reiserfs 3.6.18 et lilo 21.6. Le système reiser4 introduit dans les noyaux 2.5.x nécessite lilo 22.5.2 ou ultérieur.

Depuis la version 22.0, les installations RAID écrivent le secteur de boot sur la partition RAID. L'écriture concurrente des MBR peut aider à rendre le groupe RAID bootable dans des situations de récupération, mais toutes les actions par défaut peuvent être surchargées. Le comportement des versions précédentes est disponible avec l'option « -x mbr-only ».

BOGUES
Les options « backup » et « force-backup » du fichier de configuration devraient indiquer un répertoire de un nom de fichier de sauvegarde sur toutes les installations RAID. L'utilisation d'un nom de fichier explicite peut empêcher la création correcte de plusieurs fichiers de sauvegarde. Il vaut mieux utiliser le mécanisme par défaut, il fonctionne toujours correctement.

AUTEUR
Werner Almesberger <almesber@lrc.epfl.ch> (versions 0 à 21)
John Coffman <johninsd@san.rr.com> (depuis 21.2)

VOIR AUSSI
fdisk(8), lilo.conf(5), mkrescue(8), mkinitrd(8)

La distribution de Lilo est fournie avec une documentation TeX très complète depuis la version 21. Les fichiers de texte README des sources fournissent une mise à jour sur les sujets récents.

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 17 octobre 1996, mise à jour par lui-même le 15 mai 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 lilo ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.